Index: trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 3281)
@@ -178,10 +178,4 @@
       <DependentUpon>TypeSelector.cs</DependentUpon>
     </Compile>
-    <Compile Include="ViewHost.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ViewHost.Designer.cs">
-      <DependentUpon>ViewHost.cs</DependentUpon>
-    </Compile>
     <Compile Include="OperatorCollectionView.cs">
       <SubType>UserControl</SubType>
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 3281)
@@ -60,5 +60,5 @@
       this.imageList = new System.Windows.Forms.ImageList(this.components);
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.itemsGroupBox = new System.Windows.Forms.GroupBox();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
@@ -208,5 +208,5 @@
     protected ToolTip toolTip;
     protected ImageList imageList;
-    protected ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
   }
 }
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 3281)
@@ -61,5 +61,5 @@
       this.addButton = new System.Windows.Forms.Button();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.itemsGroupBox = new System.Windows.Forms.GroupBox();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
@@ -235,5 +235,5 @@
     protected ToolTip toolTip;
     protected ImageList imageList;
-    protected ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected Button sortAscendingButton;
     protected Button sortDescendingButton;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 3281)
@@ -60,5 +60,5 @@
       this.addButton = new System.Windows.Forms.Button();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.itemsGroupBox = new System.Windows.Forms.GroupBox();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
@@ -235,5 +235,5 @@
     protected ToolTip toolTip;
     protected ImageList imageList;
-    protected ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
   }
 }
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 3281)
@@ -30,5 +30,5 @@
   /// The visual representation of an <see cref="OperatorGraph"/>.
   /// </summary>
-  [View("OperatorGraph View (Tree)")]
+  [View("OperatorGraph View (Tree)",ShowInViewHost=true)]
   [Content(typeof(OperatorGraph), true)]
   public partial class OperatorGraphView : ItemView {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 3281)
@@ -46,5 +46,5 @@
     private void InitializeComponent() {
       this.valuePanel = new System.Windows.Forms.Panel();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.valuePanel.SuspendLayout();
       this.SuspendLayout();
@@ -87,5 +87,5 @@
     #endregion
 
-    protected ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected System.Windows.Forms.Panel valuePanel;
   }
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 3281)
@@ -50,5 +50,5 @@
       this.valueGroupBox = new System.Windows.Forms.GroupBox();
       this.valuePanel = new System.Windows.Forms.Panel();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.clearValueButton = new System.Windows.Forms.Button();
       this.setValueButton = new System.Windows.Forms.Button();
@@ -178,5 +178,5 @@
     protected System.Windows.Forms.TextBox dataTypeTextBox;
     protected System.Windows.Forms.GroupBox valueGroupBox;
-    protected ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected System.Windows.Forms.Button clearValueButton;
     protected System.Windows.Forms.Button setValueButton;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.Designer.cs	(revision 3280)
+++ 	(revision )
@@ -1,116 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.Core.Views {
-  partial class ViewHost {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing) {
-        if (components != null) components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container(); 
-      this.viewPanel = new System.Windows.Forms.Panel();
-      this.messageLabel = new System.Windows.Forms.Label();
-      this.viewsLabel = new System.Windows.Forms.Label();
-      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.viewContextMenuStrip = new HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip(this.components);
-      this.SuspendLayout();
-      // 
-      // viewPanel
-      // 
-      this.viewPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewPanel.Location = new System.Drawing.Point(0, 0);
-      this.viewPanel.Name = "viewPanel";
-      this.viewPanel.Size = new System.Drawing.Size(205, 184);
-      this.viewPanel.TabIndex = 1;
-      // 
-      // messageLabel
-      // 
-      this.messageLabel.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.messageLabel.Location = new System.Drawing.Point(0, 0);
-      this.messageLabel.Name = "messageLabel";
-      this.messageLabel.Size = new System.Drawing.Size(227, 184);
-      this.messageLabel.TabIndex = 2;
-      this.messageLabel.Text = "No view available.";
-      this.messageLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
-      // 
-      // viewsLabel
-      // 
-      this.viewsLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewsLabel.ContextMenuStrip = this.viewContextMenuStrip;
-      this.viewsLabel.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Windows;
-      this.viewsLabel.Location = new System.Drawing.Point(211, 0);
-      this.viewsLabel.Name = "viewsLabel";
-      this.viewsLabel.Size = new System.Drawing.Size(16, 16);
-      this.viewsLabel.TabIndex = 0;
-      this.toolTip.SetToolTip(this.viewsLabel, "Double-click to open a new window of the current view." + System.Environment.NewLine + "Right-click to change current view.");
-      this.viewsLabel.DoubleClick += new System.EventHandler(this.viewsLabel_DoubleClick);
-      // 
-      // viewContextMenuStrip
-      // 
-      this.viewContextMenuStrip.Item = null;
-      this.viewContextMenuStrip.Name = "viewContextMenuStrip";
-      this.viewContextMenuStrip.Size = new System.Drawing.Size(61, 4);
-      this.viewContextMenuStrip.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.viewContextMenuStrip_ItemClicked);
-      // 
-      // ViewHost
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.viewPanel);
-      this.Controls.Add(this.viewsLabel);
-      this.Controls.Add(this.messageLabel);
-      this.Name = "ViewHost";
-      this.Size = new System.Drawing.Size(227, 184);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-    private System.Windows.Forms.Panel viewPanel;
-    private System.Windows.Forms.Label viewsLabel;
-    private System.Windows.Forms.Label messageLabel;
-    private System.Windows.Forms.ToolTip toolTip;
-    private HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip viewContextMenuStrip;
-
-  }
-}
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs	(revision 3280)
+++ 	(revision )
@@ -1,152 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Windows.Forms;
-using HeuristicLab.Common;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
-
-namespace HeuristicLab.Core.Views {
-  public sealed partial class ViewHost : UserControl {
-    private Type viewType;
-    public Type ViewType {
-      get { return this.viewType; }
-      set {
-        if (viewType != value) {
-          if (value != null && !ViewCanShowContent(value, content))
-            throw new ArgumentException(string.Format("View \"{0}\" cannot display content \"{1}\".",
-                                                      value.GetPrettyName(),
-                                                      content.GetType().GetPrettyName()));
-          viewType = value;
-          UpdateView();
-        }
-      }
-    }
-
-    private object content;
-    public object Content {
-      get { return content; }
-      set {
-        if (value != content) {
-          content = value;
-          viewContextMenuStrip.Item = content;
-          Initialize();
-        }
-      }
-    }
-
-    public new bool Enabled {
-      get { return base.Enabled; }
-      set {
-        this.SuspendRepaint();
-        base.Enabled = value;
-        this.ResumeRepaint(true);
-      }
-    }
-
-    public ViewHost() {
-      InitializeComponent();
-      viewType = null;
-      content = null;
-      Initialize();
-    }
-
-    private void Initialize() {
-      viewsLabel.Visible = false;
-      viewsLabel.Enabled = false;
-      viewContextMenuStrip.Enabled = false;
-      messageLabel.Visible = false;
-
-      viewPanel.Visible = false;
-      if (viewPanel.Controls.Count > 0) viewPanel.Controls[0].Dispose();
-      viewPanel.Controls.Clear();
-
-      if (Content != null) {
-        if (viewContextMenuStrip.Items.Count == 0) {
-          messageLabel.Visible = true;
-        } else {
-          viewsLabel.Visible = true;
-          viewsLabel.Enabled = viewContextMenuStrip.Items.Count > 1;
-          viewContextMenuStrip.Enabled = viewContextMenuStrip.Items.Count > 1; ;
-        }
-
-        if (!ViewCanShowContent(viewType, Content)) {
-          viewType = MainFormManager.GetDefaultViewType(Content.GetType());
-          if ((viewType == null) && (viewContextMenuStrip.Items.Count > 0))  // create first available view if default view is not available
-            viewType = (Type)viewContextMenuStrip.Items[0].Tag;
-        }
-        UpdateView();
-      }
-    }
-
-    private void UpdateView() {
-      if (viewPanel.Controls.Count > 0) viewPanel.Controls[0].Dispose();
-      viewPanel.Controls.Clear();
-
-      if (viewType == null || content == null)
-        return;
-
-      if (!ViewCanShowContent(viewType, content))
-        throw new InvalidOperationException(string.Format("View \"{0}\" cannot display content \"{1}\".",
-                                                          viewType.GetPrettyName(),
-                                                          Content.GetType().GetPrettyName()));
-
-      UpdateActiveMenuItem();
-      Control view = (Control)MainFormManager.CreateView(viewType, Content);
-      viewPanel.Tag = view;
-      view.Dock = DockStyle.Fill;
-      viewPanel.Controls.Add(view);
-      viewPanel.Visible = true;
-    }
-
-    private void UpdateActiveMenuItem() {
-      foreach (KeyValuePair<Type, ToolStripMenuItem> item in viewContextMenuStrip.MenuItems) {
-        if (item.Key == viewType) {
-          item.Value.Checked = true;
-          item.Value.Enabled = false;
-        } else {
-          item.Value.Checked = false;
-          item.Value.Enabled = true;
-        }
-      }
-    }
-
-    private bool ViewCanShowContent(Type viewType, object content) {
-      if (content == null) // every view can display null
-        return true;
-      if (viewType == null)
-        return false;
-      return ContentAttribute.CanViewType(viewType, Content.GetType()) && viewContextMenuStrip.MenuItems.Any(item => item.Key == viewType);
-    }
-
-    private void viewsLabel_DoubleClick(object sender, EventArgs e) {
-      MainFormManager.CreateView(viewType, Content).Show();
-    }
-
-    private void viewContextMenuStrip_ItemClicked(object sender, ToolStripItemClickedEventArgs e) {
-      Type viewType = (Type)e.ClickedItem.Tag;
-      ViewType = viewType;
-    }
-  }
-}
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DockForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DockForm.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DockForm.cs	(revision 3281)
@@ -37,5 +37,5 @@
       InitializeComponent();
       this.view = view;
-      if (View != null) {
+      if (view != null) {
         if (view is UserControl) {
           switch (((UserControl)view).Dock) {
@@ -53,10 +53,19 @@
               break;
           }
-          Control control = (Control)View;
+          Type viewType = view.GetType();
+          Control control = (Control)view;
           control.Dock = DockStyle.Fill;
-          this.Size = control.Size;
-          viewPanel.Controls.Add(control);
-          View.CaptionChanged += new EventHandler(View_CaptionChanged);
+          this.view.CaptionChanged += new EventHandler(View_CaptionChanged);
           UpdateText();
+
+          ContentView contentView = view as ContentView;
+          if (ViewAttribute.GetShowInViewHost(viewType) && contentView != null) {
+            ViewHost viewHost = new ViewHost();
+            viewHost.ViewType = viewType;
+            viewHost.Content = contentView.Content;
+            viewHost.Dock = DockStyle.Fill;
+            viewPanel.Controls.Add(viewHost);
+          } else
+            viewPanel.Controls.Add(control);
         }
       } else {
@@ -69,8 +78,7 @@
       }
     }
-
     private IView view;
     public IView View {
-      get { return view; }
+      get { return this.view; }
     }
 
@@ -79,5 +87,5 @@
         Invoke(new MethodInvoker(UpdateText));
       else
-        this.Text = View.Caption;
+        this.Text = this.View.Caption;
     }
 
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.Designer.cs	(revision 3281)
@@ -32,6 +32,6 @@
     /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
     protected override void Dispose(bool disposing) {
-      if (View != null)
-        View.CaptionChanged -= new System.EventHandler(View_CaptionChanged);
+      if (view != null)
+        view.CaptionChanged -= new System.EventHandler(View_CaptionChanged);
       if (disposing && (components != null)) {
         components.Dispose();
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/DocumentForm.cs	(revision 3281)
@@ -30,8 +30,5 @@
 namespace HeuristicLab.MainForm.WindowsForms {
   internal partial class DocumentForm : Form {
-    private IView myView;
-    public IView View {
-      get { return myView; }
-    }
+    private IView view;
 
     public DocumentForm() {
@@ -40,11 +37,21 @@
     public DocumentForm(IView view)
       : this() {
-      myView = view;
-      if (View != null) {
-        Control control = (Control)View;
+      this.view = view;
+      if (view != null) {
+        Type viewType = view.GetType();
+        Control control = (Control)view;
         control.Dock = DockStyle.Fill;
-        viewPanel.Controls.Add(control);
-        View.CaptionChanged += new EventHandler(View_CaptionChanged);
+        view.CaptionChanged += new EventHandler(View_CaptionChanged);
         UpdateText();
+
+        ContentView contentView = view as ContentView;
+        if (ViewAttribute.GetShowInViewHost(viewType) && contentView != null) {
+          ViewHost viewHost = new ViewHost();
+          viewHost.ViewType = viewType;
+          viewHost.Content = contentView.Content;
+          viewHost.Dock = DockStyle.Fill;
+          viewPanel.Controls.Add(viewHost);
+        } else
+          viewPanel.Controls.Add(control);
       } else {
         Label errorLabel = new Label();
@@ -61,5 +68,5 @@
         Invoke(new MethodInvoker(UpdateText));
       else
-        Text = View.Caption;
+        Text = view.Caption;
     }
 
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLab.MainForm.WindowsForms-3.2.csproj
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLab.MainForm.WindowsForms-3.2.csproj	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLab.MainForm.WindowsForms-3.2.csproj	(revision 3281)
@@ -152,4 +152,10 @@
       <DependentUpon>ViewContextMenuStrip.cs</DependentUpon>
     </Compile>
+    <Compile Include="ViewHost.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ViewHost.Designer.cs">
+      <DependentUpon>ViewHost.cs</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
@@ -158,4 +164,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.2\HeuristicLab.Common.Resources-3.2.csproj">
+      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
+      <Name>HeuristicLab.Common.Resources-3.2</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.WinFormsUI\2.3.1\WinFormsUI-2.3.1\WinFormsUI-2.3.1.csproj">
       <Project>{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}</Project>
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLabMainFormWindowsFormsPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLabMainFormWindowsFormsPlugin.cs.frame	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/HeuristicLabMainFormWindowsFormsPlugin.cs.frame	(revision 3281)
@@ -27,5 +27,6 @@
 namespace HeuristicLab.MainForm.WindowsForms {
   [Plugin("HeuristicLab.MainForm.WindowsForms", "3.2.0.$WCREV$")]
-  [PluginFile("HeuristicLab.MainForm.WindowsForms-3.2.dll", PluginFileType.Assembly)]  
+  [PluginFile("HeuristicLab.MainForm.WindowsForms-3.2.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.2")]
   [PluginDependency("HeuristicLab.MainForm", "3.2")]
   [PluginDependency("HeuristicLab.WinFormsUI", "2.3.1")]
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.Designer.cs	(revision 3281)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.Designer.cs	(revision 3281)
@@ -0,0 +1,116 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  partial class ViewHost {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container(); 
+      this.viewPanel = new System.Windows.Forms.Panel();
+      this.messageLabel = new System.Windows.Forms.Label();
+      this.viewsLabel = new System.Windows.Forms.Label();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.viewContextMenuStrip = new HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip(this.components);
+      this.SuspendLayout();
+      // 
+      // viewPanel
+      // 
+      this.viewPanel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.viewPanel.Location = new System.Drawing.Point(0, 0);
+      this.viewPanel.Name = "viewPanel";
+      this.viewPanel.Size = new System.Drawing.Size(205, 184);
+      this.viewPanel.TabIndex = 1;
+      // 
+      // messageLabel
+      // 
+      this.messageLabel.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.messageLabel.Location = new System.Drawing.Point(0, 0);
+      this.messageLabel.Name = "messageLabel";
+      this.messageLabel.Size = new System.Drawing.Size(227, 184);
+      this.messageLabel.TabIndex = 2;
+      this.messageLabel.Text = "No view available.";
+      this.messageLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+      // 
+      // viewsLabel
+      // 
+      this.viewsLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.viewsLabel.ContextMenuStrip = this.viewContextMenuStrip;
+      this.viewsLabel.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Windows;
+      this.viewsLabel.Location = new System.Drawing.Point(211, 0);
+      this.viewsLabel.Name = "viewsLabel";
+      this.viewsLabel.Size = new System.Drawing.Size(16, 16);
+      this.viewsLabel.TabIndex = 0;
+      this.toolTip.SetToolTip(this.viewsLabel, "Double-click to open a new window of the current view." + System.Environment.NewLine + "Right-click to change current view.");
+      this.viewsLabel.DoubleClick += new System.EventHandler(this.viewsLabel_DoubleClick);
+      // 
+      // viewContextMenuStrip
+      // 
+      this.viewContextMenuStrip.Item = null;
+      this.viewContextMenuStrip.Name = "viewContextMenuStrip";
+      this.viewContextMenuStrip.Size = new System.Drawing.Size(61, 4);
+      this.viewContextMenuStrip.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.viewContextMenuStrip_ItemClicked);
+      // 
+      // ViewHost
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.viewPanel);
+      this.Controls.Add(this.viewsLabel);
+      this.Controls.Add(this.messageLabel);
+      this.Name = "ViewHost";
+      this.Size = new System.Drawing.Size(227, 184);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Panel viewPanel;
+    private System.Windows.Forms.Label viewsLabel;
+    private System.Windows.Forms.Label messageLabel;
+    private System.Windows.Forms.ToolTip toolTip;
+    private HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip viewContextMenuStrip;
+
+  }
+}
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.cs	(revision 3281)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.2/ViewHost.cs	(revision 3281)
@@ -0,0 +1,148 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.MainForm.WindowsForms {
+  public sealed partial class ViewHost : UserControl {
+    private Type viewType;
+    public Type ViewType {
+      get { return this.viewType; }
+      set {
+        if (viewType != value) {
+          if (value != null && !ViewCanShowContent(value, content))
+            throw new ArgumentException(string.Format("View \"{0}\" cannot display content \"{1}\".",
+                                                      value, content.GetType()));
+          viewType = value;
+          UpdateView();
+        }
+      }
+    }
+
+    private object content;
+    public object Content {
+      get { return content; }
+      set {
+        if (value != content) {
+          content = value;
+          viewContextMenuStrip.Item = content;
+          Initialize();
+        }
+      }
+    }
+
+    public new bool Enabled {
+      get { return base.Enabled; }
+      set {
+        this.SuspendRepaint();
+        base.Enabled = value;
+        this.ResumeRepaint(true);
+      }
+    }
+
+    public ViewHost() {
+      InitializeComponent();
+      viewType = null;
+      content = null;
+      Initialize();
+    }
+
+    private void Initialize() {
+      viewsLabel.Visible = false;
+      viewsLabel.Enabled = false;
+      viewContextMenuStrip.Enabled = false;
+      messageLabel.Visible = false;
+
+      viewPanel.Visible = false;
+      if (viewPanel.Controls.Count > 0) viewPanel.Controls[0].Dispose();
+      viewPanel.Controls.Clear();
+
+      if (Content != null) {
+        if (viewContextMenuStrip.Items.Count == 0) {
+          messageLabel.Visible = true;
+        } else {
+          viewsLabel.Visible = true;
+          viewsLabel.Enabled = viewContextMenuStrip.Items.Count > 1;
+          viewContextMenuStrip.Enabled = viewContextMenuStrip.Items.Count > 1; ;
+        }
+
+        if (!ViewCanShowContent(viewType, Content)) {
+          viewType = MainFormManager.GetDefaultViewType(Content.GetType());
+          if ((viewType == null) && (viewContextMenuStrip.Items.Count > 0))  // create first available view if default view is not available
+            viewType = (Type)viewContextMenuStrip.Items[0].Tag;
+        }
+        UpdateView();
+      }
+    }
+
+    private void UpdateView() {
+      if (viewPanel.Controls.Count > 0) viewPanel.Controls[0].Dispose();
+      viewPanel.Controls.Clear();
+
+      if (viewType == null || content == null)
+        return;
+
+      if (!ViewCanShowContent(viewType, content))
+        throw new InvalidOperationException(string.Format("View \"{0}\" cannot display content \"{1}\".",
+                                                          viewType, Content.GetType()));
+
+      UpdateActiveMenuItem();
+      Control view = (Control)MainFormManager.CreateView(viewType, Content);
+      viewPanel.Tag = view;
+      view.Dock = DockStyle.Fill;
+      viewPanel.Controls.Add(view);
+      viewPanel.Visible = true;
+    }
+
+    private void UpdateActiveMenuItem() {
+      foreach (KeyValuePair<Type, ToolStripMenuItem> item in viewContextMenuStrip.MenuItems) {
+        if (item.Key == viewType) {
+          item.Value.Checked = true;
+          item.Value.Enabled = false;
+        } else {
+          item.Value.Checked = false;
+          item.Value.Enabled = true;
+        }
+      }
+    }
+
+    private bool ViewCanShowContent(Type viewType, object content) {
+      if (content == null) // every view can display null
+        return true;
+      if (viewType == null)
+        return false;
+      return ContentAttribute.CanViewType(viewType, Content.GetType()) && viewContextMenuStrip.MenuItems.Any(item => item.Key == viewType);
+    }
+
+    private void viewsLabel_DoubleClick(object sender, EventArgs e) {
+      MainFormManager.CreateView(viewType, Content).Show();
+    }
+
+    private void viewContextMenuStrip_ItemClicked(object sender, ToolStripItemClickedEventArgs e) {
+      Type viewType = (Type)e.ClickedItem.Tag;
+      ViewType = viewType;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.MainForm/3.2/ViewAttribute.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.2/ViewAttribute.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.MainForm/3.2/ViewAttribute.cs	(revision 3281)
@@ -31,4 +31,5 @@
     public ViewAttribute(string name) {
       this.name = name;
+      this.showInViewHost = false;
     }
 
@@ -37,4 +38,10 @@
       get { return this.name; }
       set { this.name = value; }
+    }
+
+    private bool showInViewHost;
+    public bool ShowInViewHost {
+      get { return this.showInViewHost; }
+      set { this.showInViewHost = value; }
     }
 
@@ -50,4 +57,11 @@
       return viewType.Name;
     }
+
+    public static bool GetShowInViewHost(MemberInfo viewType) {
+      ViewAttribute[] attributes = (ViewAttribute[])viewType.GetCustomAttributes(typeof(ViewAttribute), false);
+      if (attributes.Length == 1)
+        return attributes[0].showInViewHost;
+      return false;
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphView.Designer.cs	(revision 3281)
@@ -32,5 +32,5 @@
       this.splitContainer = new System.Windows.Forms.SplitContainer();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.detailsViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.detailsViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.selectButton = new System.Windows.Forms.Button();
       this.panButton = new System.Windows.Forms.Button();
@@ -254,5 +254,5 @@
     private System.Windows.Forms.SplitContainer splitContainer;
     private System.Windows.Forms.GroupBox detailsGroupBox;
-    private HeuristicLab.Core.Views.ViewHost detailsViewHost;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost detailsViewHost;
     private System.Windows.Forms.Button selectButton;
     private System.Windows.Forms.Button zoomOutButton;
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 3281)
@@ -49,5 +49,5 @@
       this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
       this.operatorGraphTabPage = new System.Windows.Forms.TabPage();
-      this.operatorGraphViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.operatorGraphViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.breakpointCheckBox = new System.Windows.Forms.CheckBox();
       this.breakpointLabel = new System.Windows.Forms.Label();
@@ -178,5 +178,5 @@
     protected System.Windows.Forms.TabPage operatorGraphTabPage;
     protected HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
-    protected HeuristicLab.Core.Views.ViewHost operatorGraphViewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost operatorGraphViewHost;
     protected System.Windows.Forms.CheckBox breakpointCheckBox;
     protected System.Windows.Forms.Label breakpointLabel;
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/AlgorithmView.Designer.cs	(revision 3281)
@@ -53,5 +53,5 @@
       this.openProblemButton = new System.Windows.Forms.Button();
       this.newProblemButton = new System.Windows.Forms.Button();
-      this.problemViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.problemViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.resultsTabPage = new System.Windows.Forms.TabPage();
       this.resultsView = new HeuristicLab.Optimization.Views.ResultCollectionView();
@@ -350,5 +350,5 @@
     protected System.Windows.Forms.TabPage problemTabPage;
     protected HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
-    protected HeuristicLab.Core.Views.ViewHost problemViewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost problemViewHost;
     protected System.Windows.Forms.Button newProblemButton;
     protected System.Windows.Forms.Button saveProblemButton;
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/BatchRunView.Designer.cs	(revision 3281)
@@ -51,5 +51,5 @@
       this.openAlgorithmButton = new System.Windows.Forms.Button();
       this.newAlgorithmButton = new System.Windows.Forms.Button();
-      this.algorithmViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.algorithmViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.runsTabPage = new System.Windows.Forms.TabPage();
       this.runsView = new HeuristicLab.Optimization.Views.RunCollectionView();
@@ -335,5 +335,5 @@
     private System.Windows.Forms.TabControl tabControl;
     private System.Windows.Forms.TabPage algorithmTabPage;
-    private HeuristicLab.Core.Views.ViewHost algorithmViewHost;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost algorithmViewHost;
     private System.Windows.Forms.Button newAlgorithmButton;
     private System.Windows.Forms.Button saveAlgorithmButton;
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 3281)
@@ -49,5 +49,5 @@
       this.engineComboBox = new System.Windows.Forms.ComboBox();
       this.engineTabPage = new System.Windows.Forms.TabPage();
-      this.engineViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.engineViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.tabControl.SuspendLayout();
       this.parametersTabPage.SuspendLayout();
@@ -238,5 +238,5 @@
     protected System.Windows.Forms.ComboBox engineComboBox;
     protected System.Windows.Forms.TabPage engineTabPage;
-    protected HeuristicLab.Core.Views.ViewHost engineViewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost engineViewHost;
 
   }
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs	(revision 3281)
@@ -49,5 +49,5 @@
       this.valueGroupBox = new System.Windows.Forms.GroupBox();
       this.valuePanel = new System.Windows.Forms.Panel();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.valueGroupBox.SuspendLayout();
@@ -148,5 +148,5 @@
     private System.Windows.Forms.TextBox dataTypeTextBox;
     private System.Windows.Forms.GroupBox valueGroupBox;
-    private HeuristicLab.Core.Views.ViewHost viewHost;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     private System.Windows.Forms.Panel valuePanel;
   }
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionView.Designer.cs	(revision 3281)
@@ -58,5 +58,5 @@
       this.removeButton = new System.Windows.Forms.Button();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.itemsGroupBox = new System.Windows.Forms.GroupBox();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
@@ -194,5 +194,5 @@
     protected ToolTip toolTip;
     protected ImageList imageList;
-    protected HeuristicLab.Core.Views.ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
   }
 }
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 3281)
@@ -54,5 +54,5 @@
       this.valueColumnHeader = new System.Windows.Forms.ColumnHeader();
       this.detailsGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.imageList = new System.Windows.Forms.ImageList(this.components);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
@@ -203,5 +203,5 @@
     private System.Windows.Forms.ColumnHeader nameColumnHeader;
     private System.Windows.Forms.ColumnHeader valueColumnHeader;
-    private HeuristicLab.Core.Views.ViewHost viewHost;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     private System.Windows.Forms.ImageList imageList;
 
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/UserDefinedAlgorithmView.Designer.cs	(revision 3281)
@@ -49,5 +49,5 @@
       this.openOperatorGraphButton = new System.Windows.Forms.Button();
       this.newOperatorGraphButton = new System.Windows.Forms.Button();
-      this.operatorGraphViewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.operatorGraphViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.globalScopeTabPage = new System.Windows.Forms.TabPage();
       this.globalScopeView = new HeuristicLab.Core.Views.ScopeView();
@@ -232,5 +232,5 @@
     private System.Windows.Forms.Button openOperatorGraphButton;
     private System.Windows.Forms.Button newOperatorGraphButton;
-    private HeuristicLab.Core.Views.ViewHost operatorGraphViewHost;
+    private HeuristicLab.MainForm.WindowsForms.ViewHost operatorGraphViewHost;
 
   }
Index: trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Parameters.Views/3.3/ConstrainedValueParameterView.Designer.cs	(revision 3281)
@@ -46,5 +46,5 @@
     private void InitializeComponent() {
       this.valueGroupBox = new System.Windows.Forms.GroupBox();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.valueComboBox = new System.Windows.Forms.ComboBox();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
@@ -136,5 +136,5 @@
 
     protected System.Windows.Forms.GroupBox valueGroupBox;
-    protected HeuristicLab.Core.Views.ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected System.Windows.Forms.ComboBox valueComboBox;
   }
Index: trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueLookupParameterView.Designer.cs	(revision 3281)
@@ -48,5 +48,5 @@
       this.valueGroupBox = new System.Windows.Forms.GroupBox();
       this.valuePanel = new System.Windows.Forms.Panel();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.clearValueButton = new System.Windows.Forms.Button();
       this.setValueButton = new System.Windows.Forms.Button();
@@ -199,5 +199,5 @@
     protected System.Windows.Forms.GroupBox valueGroupBox;
     protected System.Windows.Forms.Panel valuePanel;
-    protected HeuristicLab.Core.Views.ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected System.Windows.Forms.Button setValueButton;
     protected System.Windows.Forms.Button clearValueButton;
Index: trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs	(revision 3280)
+++ trunk/sources/HeuristicLab.Parameters.Views/3.3/ValueParameterView.Designer.cs	(revision 3281)
@@ -48,5 +48,5 @@
       this.valueGroupBox = new System.Windows.Forms.GroupBox();
       this.valuePanel = new System.Windows.Forms.Panel();
-      this.viewHost = new HeuristicLab.Core.Views.ViewHost();
+      this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.clearValueButton = new System.Windows.Forms.Button();
       this.setValueButton = new System.Windows.Forms.Button();
@@ -162,5 +162,5 @@
     protected System.Windows.Forms.GroupBox valueGroupBox;
     protected System.Windows.Forms.Panel valuePanel;
-    protected HeuristicLab.Core.Views.ViewHost viewHost;
+    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
     protected System.Windows.Forms.Button setValueButton;
     protected System.Windows.Forms.Button clearValueButton;
